<?php

namespace EventPortal\Http\Controllers\Admin;

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Form\Facades\Form;
use EventPortal\Domain\Permission\Models\Role;
use EventPortal\Domain\Table\Facades\Table;
use EventPortal\Domain\Util\Breadcrumb;
use EventPortal\Enums\InertiaMethod;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;
use Inertia\Inertia;
use Inertia\Response;

class RoleController extends Controller
{
    public function index(): Response
    {
        return Inertia::render('Role/Index', [
            'data' => [],
        ]);
    }

    public function show(Role $role): Response
    {
        $breadcrumbs = Breadcrumb::make()
            ->add('Roles', route('admin.role.index'))
            ->add($role->name)
            ->get();

        return Inertia::render('Role/Show', [
            'data' => [],
            'breadcrumbs' => $breadcrumbs,
            'roleName' => $role->name,
        ]);
    }

    public function update(Role $role): RedirectResponse
    {
        return redirect(route('admin.permission.index'));
    }
}
